<div *transloco="let t" [ngClass]="badgeClasses" class="badge-container">
  <span class="badge-text">
    @if (status === badgeStatus.HighCapacityAvailable) {
      {{
        t('feature_parking.dashboard.available_spots', {
          spots: parking.parkingCapacityRemaining,
        })
      }}
    } @else if (status === badgeStatus.LowCapacity) {
      {{ t('feature_parking.dashboard.full') }}
    } @else if (status === badgeStatus.Unknown) {
      {{ t('feature_parking.dashboard.unknown') }}
    } @else if (status === badgeStatus.Closed) {
      {{ t('feature_parking.dashboard.closed') }}
    }
  </span>
  <lib-general-icon
    [name]="badgeIcon"
    [size]="iconFontSize.large"
    [type]="iconType.materialIconsOutlined"
  ></lib-general-icon>
</div>
